> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a query using the specified profile

> Append a Solr query string to the request, as in '/api/apollo/query/<id>?<solrQuery>'



## OpenAPI

````yaml /api-reference/4.2/service-query-profiles.json get /query/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-profiles
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-profiles
paths:
  /query/{id}:
    get:
      tags:
        - 4.2 Query Profiles API
      summary: Run a query using the specified profile
      description: >-
        Append a Solr query string to the request, as in
        '/api/apollo/query/<id>?<solrQuery>'
      operationId: querySolrj
      parameters:
        - name: id
          in: path
          description: The profile's ID
          required: true
          schema:
            type: string
            pattern: .*[/]
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WriteableResponse'
components:
  schemas:
    WriteableResponse:
      type: object
      properties:
        contentType:
          type: string
        contentCharset:
          type: string
        mediaType:
          $ref: '#/components/schemas/MediaType'
    MediaType:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: string
        parameters:
          type: object
          additionalProperties:
            type: string
        wildcardType:
          type: boolean
          default: false
        wildcardSubtype:
          type: boolean
          default: false

````